TeaTimer 1.2.3

End-User License Agreement

TeaTimer requires that you accept the following End-User License Agreement before installation can proceed:

Released under the terms of the GPL v3, see my website for more informations.

Back to TeaTimer…